# Utilities API

This page documents the utility functions and classes used in LeanInteract.

## Installation and Cache Management

::: lean_interact.utils.install_lean
    options:
      show_root_heading: true
      show_source: true

::: lean_interact.utils.clear_cache
    options:
      show_root_heading: true
      show_source: true

## Project Utilities

::: lean_interact.utils.get_project_lean_version
    options:
      show_root_heading: true
      show_source: true

## Windows Path Utilities

::: lean_interact.utils.check_windows_long_paths
    options:
      show_root_heading: true
      show_source: true

## Memory Management

::: lean_interact.utils.get_total_memory_usage
    options:
      show_root_heading: true
      show_source: true

::: lean_interact.utils._limit_memory
    options:
      show_root_heading: true
      show_source: true

## Code Processing Utilities

::: lean_interact.utils.indent_code
    options:
      show_root_heading: true
      show_source: true

::: lean_interact.utils.compress_newlines
    options:
      show_root_heading: true
      show_source: true

::: lean_interact.utils.lean_comments_ranges
    options:
      show_root_heading: true
      show_source: true

::: lean_interact.utils.remove_lean_comments
    options:
      show_root_heading: true
      show_source: true

::: lean_interact.utils.split_implementation
    options:
      show_root_heading: true
      show_source: true

::: lean_interact.utils.split_conclusion
    options:
      show_root_heading: true
      show_source: true

::: lean_interact.utils.clean_theorem_string
    options:
      show_root_heading: true
      show_source: true

::: lean_interact.utils.extract_last_theorem
    options:
      show_root_heading: true
      show_source: true

::: lean_interact.utils.clean_last_theorem_string
    options:
      show_root_heading: true
      show_source: true

## Constants

::: lean_interact.utils.ROOT_DIR

::: lean_interact.utils.DEFAULT_CACHE_DIR

::: lean_interact.utils.DEFAULT_REPL_GIT_URL

::: lean_interact.utils.DEFAULT_REPL_VERSION
